Package com.sun.jna.platform.win32

# Class IPHlpAPI.IP_ADDRESS_STRING

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.IPHlpAPI.IP_ADDRESS_STRING

Enclosing interface:
  IPHlpAPI

@FieldOrder("String") public static class IPHlpAPI.IP_ADDRESS_STRING extends Structure
The IP_ADDRESS_STRING structure stores an IPv4 address in dotted decimal notation. The IP_ADDRESS_STRING structure definition is also the type definition for the IP_MASK_STRING structure.

See Also:
  - IP_ADDRESS_STRING

## Nested Class Summary

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`byte[]`
`String`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`IP_ADDRESS_STRING()`

## Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### String

public byte[] String

## Constructor Details

### IP_ADDRESS_STRING

public IP_ADDRESS_STRING()